package com.ashokit.transactionmgmt;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.ashokit.transactionmgmt.model.Employee;
import com.ashokit.transactionmgmt.model.Insurance;
import com.ashokit.transactionmgmt.service.OrganizationService;

@SpringBootApplication
public class TransactionManagmentApplication implements CommandLineRunner {
	
	@Autowired
	private OrganizationService orgService;
	

	public static void main(String[] args) {
		SpringApplication.run(TransactionManagmentApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		
		Employee emp = new Employee();
		emp.setEmpName("Sandhya");

		Insurance employeeHealthInsurance = new Insurance();
		employeeHealthInsurance.setHealthInsuranceSchemeName("Test");
		employeeHealthInsurance.setCoverageAmount(1000000);
		
		orgService.onBoardEmployee(emp, employeeHealthInsurance);
		
		
	}

}
