package com.ashokit.transactionmgmt.service;

import javax.management.RuntimeErrorException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ashokit.transactionmgmt.model.Employee;
import com.ashokit.transactionmgmt.model.Insurance;

@Service
public class OrganizationService {
	
	@Autowired
	private EmployeeService empService;
	
	
	@Autowired
	private InsuranceService insService;
	
	@Transactional
	//This will tell to database to create temp block
	//All DML Statement , employee,insurance are navigating this block
	//commit/rollback framework will take care
	public void onBoardEmployee(Employee empObj,Insurance insObj) {
				// This line will save Employee Data
				Employee employee = empService.saveEmployee(empObj);

				insObj.setEmpId(empObj.getEmpId());

				// This line will save Insurance Data

				if (insObj.getHealthInsuranceSchemeName().length() <= 5) {

					throw new RuntimeErrorException(null, "Error in Insurance");
				//Do i need to write rollback of employee delete in this case?
				} else {
					insService.registerInsurance(insObj);
				}
	}

}
